Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Triggers regeneration of an existing on-call pay report.
cURL
curl --request POST \ --url https://api.rootly.com/v1/on_call_pay_reports/{id}/regenerate \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "<string>", "attributes": { "start_date": "2023-12-25", "end_date": "2023-12-25", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "total_duration": 123, "users_count": 123, "currency": "<string>", "hourly_rate_cents": 123, "daily_rate_cents": 123, "total_pay_cents": 123, "include_shadow": true, "show_individual_shift_data": true, "has_single_rate": true, "enabled_granular_time_breakdown": true, "last_generated_at": "2023-11-07T05:31:56Z", "time_zone": "<string>", "use_responders_time_zone": true, "csv_file_url": "<string>", "xlsx_file_url": "<string>" } }, "included": [ { "id": "<string>", "type": "<string>", "attributes": {}, "relationships": {} } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
on_call_pay_report regeneration triggered
Show child attributes
Was this page helpful?
Contact support